/*
    Copyright (c) 2010, 2011 aizo ag, Zurich, Switzerland

    Author: Sergey 'Jin' Bostandzhyan <jin@dev.digitalstrom.org>

    This file is part of dS Assistant.

    dS-Assistant is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    dS-Assistant is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with digitalSTROM Server. If not, see <http://www.gnu.org/licenses/>.

    NOTE: all APIs, especially the JSON API, offered by this application
          are subject to change without further notice.
*/

#ifndef __DSA_WEBSERVER_H__
#define __DSA_WEBSERVER_H__

#include <string>
#include "mongoose/mongoose.h"

namespace dSA
{

class Webserver
{
public:
    Webserver(int port, std::string docroot);
    ~Webserver();
private:
    std::string m_port;
    std::string m_document_root;
    struct mg_context* m_context;
    static void *mongoose_callback(enum mg_event event,
                                   struct mg_connection* connection,
                                   const struct mg_request_info* request_info);
};

}; // namespace

#endif//__DSA_WEBSERVER_H__

